libzypp 17.37.10

type_traits.h File Reference
`#include <type_traits>`
`#include <memory>`

Go to the source code of this file.

## Classes
struct | std::make_void< Ts >
struct | std::detail::detector< Default, AlwaysVoid, Op, Args >
struct | std::detail::detector< Default, std::void_t< Op< Args... > >, Op, Args... >
struct | std::detail::nonesuch
struct | std::remove_cvref< T >
struct | std::conjunction<... >
struct | std::conjunction< B1 >
struct | std::conjunction< B1, Bn... >
struct | std::disjunction<... >
struct | std::disjunction< B1 >
struct | std::disjunction< B1, Bn... >
struct | std::negation< B >
struct | zyppng::is_instance_of< Templ, Type >
struct | zyppng::is_instance_of< Templ, Templ< Args... > >
struct | zyppng::remove_smart_ptr< T >
struct | zyppng::remove_smart_ptr< std::shared_ptr< T > >
struct | zyppng::remove_smart_ptr< std::unique_ptr< T > >

## Namespaces
namespace | std
namespace | std::detail
namespace | zyppng

## Typedefs
template<typename... Ts>
using | std::void_t = typename make_void<Ts...>::type
template<bool B>
using | std::bool_constant = integral_constant<bool, B>
template<template< class... > class Op, class... Args>
using | std::is_detected = typename detail::detector<detail::nonesuch, void, Op, Args...>::value_t
template<template< class... > class Op, class... Args>
using | std::detected_t = typename detail::detector<detail::nonesuch, void, Op, Args...>::type
template<class Default, template< class... > class Op, class... Args>
using | std::detected_or = detail::detector<Default, void, Op, Args...>
template<class Default, template< class... > class Op, class... Args>
using | std::detected_or_t = typename detected_or<Default, Op, Args...>::type
template<class Expected, template< class... > class Op, class... Args>
using | std::is_detected_exact = std::is_same<Expected, detected_t<Op, Args...>>
template<class To, template< class... > class Op, class... Args>
using | std::is_detected_convertible = std::is_convertible<detected_t<Op, Args...>, To>
template<class T>
using | std::remove_cvref_t = typename remove_cvref<T>::type
template<typename T>
using | zyppng::remove_smart_ptr_t = typename remove_smart_ptr<T>::type

## Variables
template<template< class... > class Op, class... Args>
constexpr bool | std::is_detected_v = is_detected<Op, Args...>::value
template<class Expected, template< class... > class Op, class... Args>
constexpr bool | std::is_detected_exact_v = is_detected_exact<Expected, Op, Args...>::value
template<class To, template< class... > class Op, class... Args>
constexpr bool | std::is_detected_convertible_v = is_detected_convertible<To, Op, Args...>::value_t::value
template<template< class ... > class Templ, class Type>
constexpr bool | zyppng::is_instance_of_v = is_instance_of<Templ,Type>::value